Buscar pessoa
curl --request GET \
--url https://api.juridiq.com.br/person/{id} \
--header 'x-juridiq-api-key: <api-key>'import requests
url = "https://api.juridiq.com.br/person/{id}"
headers = {"x-juridiq-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-juridiq-api-key': '<api-key>'}};
fetch('https://api.juridiq.com.br/person/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.juridiq.com.br/person/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-juridiq-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.juridiq.com.br/person/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-juridiq-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.juridiq.com.br/person/{id}")
.header("x-juridiq-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.juridiq.com.br/person/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-juridiq-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"personOrigin": "<string>",
"officeId": "<string>",
"isLinkedToJurichat": true,
"email": "<string>",
"document": "<string>",
"phone": "<string>",
"personType": "<string>",
"maritalStatus": "<string>",
"zipCode": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>",
"streetAndNumber": "<string>",
"imageUrl": "<string>",
"clientDiscoverOffice": "<string>",
"annotation": "<unknown>",
"rg": "<string>",
"nationality": "<string>",
"profession": "<string>",
"birthDate": "<string>",
"isPrivate": true,
"ownerId": "<string>",
"legalRepresentant": "<string>",
"corretor": "<string>",
"code": "<string>",
"govPassword": "<string>",
"addressComplement": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"customFields": [
{
"fieldId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>",
"options": [
"<string>"
],
"value": "<string>",
"isArchived": true
}
]
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Persons
Buscar pessoa
GET
/
person
/
{id}
Buscar pessoa
curl --request GET \
--url https://api.juridiq.com.br/person/{id} \
--header 'x-juridiq-api-key: <api-key>'import requests
url = "https://api.juridiq.com.br/person/{id}"
headers = {"x-juridiq-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-juridiq-api-key': '<api-key>'}};
fetch('https://api.juridiq.com.br/person/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.juridiq.com.br/person/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-juridiq-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.juridiq.com.br/person/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-juridiq-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.juridiq.com.br/person/{id}")
.header("x-juridiq-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.juridiq.com.br/person/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-juridiq-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"personOrigin": "<string>",
"officeId": "<string>",
"isLinkedToJurichat": true,
"email": "<string>",
"document": "<string>",
"phone": "<string>",
"personType": "<string>",
"maritalStatus": "<string>",
"zipCode": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>",
"streetAndNumber": "<string>",
"imageUrl": "<string>",
"clientDiscoverOffice": "<string>",
"annotation": "<unknown>",
"rg": "<string>",
"nationality": "<string>",
"profession": "<string>",
"birthDate": "<string>",
"isPrivate": true,
"ownerId": "<string>",
"legalRepresentant": "<string>",
"corretor": "<string>",
"code": "<string>",
"govPassword": "<string>",
"addressComplement": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"customFields": [
{
"fieldId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>",
"options": [
"<string>"
],
"value": "<string>",
"isArchived": true
}
]
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-juridiq-api-key. A API aberta aplica rate limit por chave (veja a documentação de integradores).
Path Parameters
ID da pessoa
Response
Default Response
ID da pessoa
Nome
Origem. Ex: cliente, parte
ID do escritório
CPF ou CNPJ
Telefone
Tipo. Ex: física, jurídica
Estado civil
CEP
Estado
Cidade
Bairro
Rua e número
URL da foto
Como conheceu o escritório
Anotações
RG
Nacionalidade
Profissão
Data de nascimento
Registro privado
ID do responsável
Representante legal
Corretor
Código interno
Senha gov.br
Complemento do endereço
Data de criação
Data da última alteração
Valores dos campos personalizados do escritório
Show child attributes
Show child attributes

